package com.ruoyi.system.domain.communityNews;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 社区资讯评论内容对象 comment_content
 * 
 * @author boman
 * @date 2025-02-25
 */
public class CommentContent extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 内容主键 */
    private Long contentId;

    /** 评论id */
    @Excel(name = "评论id")
    private Long commentId;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 评论内容 */
    @Excel(name = "评论内容")
    private String commentContent;

    /** 状态：1:待审核 2：审核通过 3：审核不通过 4：审核通过后下架 */
    @Excel(name = "状态：1:待审核 2：审核通过 3：审核不通过 4：审核通过后下架")
    private String status;

    /** 类型：1：文字 2：图片 */
    @Excel(name = "类型：1：文字 2：图片")
    private Integer type;

    /** 点赞数量 */
    @Excel(name = "点赞数量")
    private Long likeCount;

    /** 逻辑删除(Y:已删除，N:未删除) */
    private String delFlag;

    public void setContentId(Long contentId) 
    {
        this.contentId = contentId;
    }

    public Long getContentId() 
    {
        return contentId;
    }
    public void setCommentId(Long commentId) 
    {
        this.commentId = commentId;
    }

    public Long getCommentId() 
    {
        return commentId;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setCommentContent(String commentContent) 
    {
        this.commentContent = commentContent;
    }

    public String getCommentContent() 
    {
        return commentContent;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public void setType(Integer type)
    {
        this.type = type;
    }

    public Integer getType() 
    {
        return type;
    }
    public void setLikeCount(Long likeCount) 
    {
        this.likeCount = likeCount;
    }

    public Long getLikeCount() 
    {
        return likeCount;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("contentId", getContentId())
            .append("commentId", getCommentId())
            .append("userId", getUserId())
            .append("commentContent", getCommentContent())
            .append("status", getStatus())
            .append("type", getType())
            .append("likeCount", getLikeCount())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
